import request from "@/utils/request";

export function selectapiList(data){
  return request({
    url:"/background/apimanage/list",
    method: "POST",
    data: data
  })
}

export function apiupdmessage(data){
  return request({
    url:"/background/apimanage/upd",
    method: "POST",
    data: data
  })
}

export function productStateList(data){
  return request({
    url:"/background/apimanage/productState",
    method: "POST",
    data: data
  })
}

export function UpdproductState(data){
  return request({
    url:"/background/apimanage/updproductState",
    method: "POST",
    data: data
  })
}

export function addproduct(data){
  return request({
    url:"/background/apimanage/add",
    method: "POST",
    data: data
  })
}

export function delapi(productId){
  return request({
    url:"/background/apimanage/del/"+productId,
    method: "POST",
  })
}

export function getprice(productId){
  return request({
    url:"/background/apimanage/getprice/"+productId,
    method: "POST",
  })
}

